# Uses of Class
com.github.lgooddatepicker.components.TimePicker

Packages that use TimePicker
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.tableeditors
com.github.lgooddatepicker.zinternaltools

## Uses of TimePicker in com.github.lgooddatepicker.components

Fields in com.github.lgooddatepicker.components declared as TimePicker
Modifier and Type
Field
Description
`TimePicker`
DateTimePicker.`timePicker`
timePicker, This holds the time picker component of this DateTimePicker.
Methods in com.github.lgooddatepicker.components that return TimePicker
Modifier and Type
Method
Description
`TimePicker`
DateTimePicker.`getTimePicker()`
getTimePicker, This returns the time picker component of this DateTimePicker.

## Uses of TimePicker in com.github.lgooddatepicker.tableeditors

Methods in com.github.lgooddatepicker.tableeditors that return TimePicker
Modifier and Type
Method
Description
`TimePicker`
TimeTableEditor.`getTimePicker()`
getTimePicker, Returns the TimePicker which is used by this class.

## Uses of TimePicker in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools that return TimePicker
Modifier and Type
Method
Description
`TimePicker`
TimeChangeEvent.`getSource()`
getSource, Returns the time picker that generated the event.
`TimePicker`
DateTimeChangeEvent.`getTimePicker()`
getTimePicker, Returns a reference to the time picker component of the DateTimePicker.
Constructors in com.github.lgooddatepicker.zinternaltools with parameters of type TimePicker
Modifier
Constructor
Description
``
`DateTimeChangeEvent(DateTimePicker source, DatePicker datePicker, TimePicker timePicker, DateChangeEvent dateChangeEvent, TimeChangeEvent timeChangeEvent)`
Constructor.
``
`TimeChangeEvent(TimePicker source, LocalTime oldTime, LocalTime newTime)`
Constructor.
``
`TimeMenuPanel(TimePicker parentTimePicker, TimePickerSettings settings)`
``
`TimeSpinnerTimer(TimePicker timePicker, int changeAmountMinutes)`
Constructor.